Bug 837122

Summary: Macaulay2 is FTBFS on ARM
Product: [Fedora] Fedora Reporter: Peter Robinson <pbrobinson>
Component: Macaulay2Assignee: Rex Dieter <rdieter>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 19CC: limburgher, rdieter, tremble
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-05-05 10:26:15 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 842407    
Bug Blocks: 245418    

Description Peter Robinson 2012-07-02 17:20:55 EDT
Macaulay2 is FTBFS on ARM

List of all failures:
http://arm.koji.fedoraproject.org/koji/packageinfo?packageID=92

Latest failure:
http://arm.koji.fedoraproject.org/koji/taskinfo?taskID=938380

** compiling gb-test1.cpp
 ** compiling finalize.cpp
finalize.cpp: In function 'void remove_monideal(void*, void*)':
finalize.cpp:34:56: error: 'AO_fetch_and_add1' was not declared in this scope
compilation terminated due to -Wfatal-errors.
make[2]: *** [finalize.o] Error 1
make[2]: Leaving directory `/builddir/build/BUILD/Macaulay2-1.4-r12617/Macaulay2/e'
make[1]: Leaving directory `/builddir/build/BUILD/Macaulay2-1.4-r12617/Macaulay2'
make: Leaving directory `/builddir/build/BUILD/Macaulay2-1.4-r12617'
make[1]: *** [all-in-e] Error 2
make: *** [all-in-Macaulay2] Error 2
Comment 1 Rex Dieter 2012-08-07 10:37:52 EDT
OK, looks like this will need some libatomic_ops love for platforms with out native implementations of those calls
Comment 2 Jon Ciesla 2012-09-24 12:46:42 EDT
This wants factory-devel >= 3.1.4, rawhide factory is 3.1.1.
Comment 3 Rex Dieter 2012-09-24 12:58:28 EDT
fyi, libfac and factory now gets built from Singular
Comment 4 Jon Ciesla 2012-09-24 13:06:17 EDT
Which isn't in f17, which totally explains my confusion. :)  Thanks.
Comment 5 Fedora End Of Life 2013-04-03 13:13:51 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19